CMSIS-Driver: Driver_Flash.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Typedefs
Driver_Flash.h File Reference

## Data Structures

struct | ARM_FLASH_SECTOR
| Flash Sector information. More...
struct | ARM_FLASH_INFO
| Flash information. More...
struct | ARM_FLASH_STATUS
| Flash Status. More...
struct | ARM_FLASH_CAPABILITIES
| Flash Driver Capabilities. More...
struct | ARM_DRIVER_FLASH
| Access structure of the Flash Driver. More...

## Macros

#define | ARM_FLASH_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,3) /* API version */
#define | _ARM_Driver_Flash_(n) Driver_Flash##n
#define | ARM_Driver_Flash_(n) _ARM_Driver_Flash_(n)
#define | ARM_FLASH_SECTOR_INFO(addr, size) { (addr), (addr)+(size)-1 }
#define | ARM_FLASH_EVENT_READY (1UL << 0)
| Flash Ready. More...
#define | ARM_FLASH_EVENT_ERROR (1UL << 1)
| Read/Program/Erase Error. More...

## Typedefs

typedef void(* | ARM_Flash_SignalEvent_t )(uint32_t event)
| Pointer to ARM_Flash_SignalEvent : Signal Flash Event. More...

## Macro Definition Documentation

#define ARM_FLASH_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,3) /* API version */

#define _ARM_Driver_Flash_ | ( |  | n | ) | Driver_Flash##n

#define ARM_Driver_Flash_ | ( |  | n | ) | _ARM_Driver_Flash_(n)

#define ARM_FLASH_SECTOR_INFO | ( |  | addr,
|  |  | size
| ) |  | { (addr), (addr)+(size)-1 }